WordPress.org

Ready to get started?Download WordPress

Forums

2.8 beta widget bug (11 posts)

  1. John Hawkins
    Member
    Posted 5 years ago #

    In the admin area, on the Widget management page, I can see my 2 sidebar areas on the right, but I'm unable to drag any widgets in to the sidebars. The cursor changes in to a 4 way arrow, but I'm unable to drag any of them.

    I tested this in both IE 7 and FF 3.

  2. BestofNJ.com
    Member
    Posted 5 years ago #

    Same here Vegas.

  3. ty
    Member
    Posted 5 years ago #

    I've been using 2.8 for awhile and haven't had any problems like this with FF3. Have you tried clearing your browser cache with an F5 refresh (or a ctrl+shift+del clear private data)? It could be that some older versions of javascripts are hanging around causing trouble.
    If that doesn't work then maybe try switching your theme to a different one and back again if it wouldn't be too much hassle? WordPress does some stuff on theme activation that could be the key to your headaches.
    peace~

  4. BestofNJ.com
    Member
    Posted 5 years ago #

    I discovered that it was my theme causing the problem.

  5. tamilsweet
    Member
    Posted 5 years ago #

    Widgets are working properly for me. I'm using 2.8 Beta 2

  6. jsoroko
    Member
    Posted 5 years ago #

    Am having the same problem (widgets not draggable) with:
    - nightly build as of 6/3/09
    - Firefox current
    - Thesis Theme (1.5 stable; and Chris Pearson's stuff is - especially when he gets to a stable release - well, really stable.
    I'm going to try refreshing and clearing cache.

    Jon Soroko

  7. ty
    Member
    Posted 5 years ago #

    There is a huge change with widgets code in WP2.8 (amongst many other code changes), and unless your theme author says the theme is specifically compatible up to 2.8, you may have to wait awhile. 2.8 is a pretty big release in terms of needing code updates to keep individual themes working properly.

    From personal experience with the theme I've been developing, singular widgets are likely to be fine for now, but any multi-widgets will probably need some rewriting to be compatible with 2.8. I was using the same code that makes up the new 2.8 multi-widgets for my theme prior to 2.8, and I still had to rewrite a lot of code to make the multi-widgets 2.8-compatible. Any multi-widgets coded with just the WP documentation as a guide are going to need a lot more work than what I had to do.

    Dynamic sidebars in general have gotten some updates as well, and things that used to work fine pre-2.8 might not be compatible with 2.8+

    If you value your theme over the new widgets and theme administration, you might not want to upgrade to 2.8 until the theme author announces that the theme is compatible.
    peace~

  8. DavaoBruce
    Member
    Posted 5 years ago #

    When I upgraded to 2.8 and went to the widget area, it shows a list of left sidebar, but cannot edit the widgets. The right sidebar has no list on the widgets in use.
    Is there a fix?

  9. nfxcr3w
    Member
    Posted 5 years ago #

    they have changed that now DavaoBruce its now drag and drop i would of loved to keep the old one has the drag and dropping is a big pain to be honist

  10. DavaoBruce
    Member
    Posted 5 years ago #

    nfxcr3w,
    So you cannot edit the widgets while active?

    Why are my right sidebar widgets not show?

  11. Ryan
    Member
    Posted 5 years ago #

    junsuijin,

    Could you point me to a resource/tutorial that would help explain the process of upgrading my theme's widget areas to be 2.8-compatible? It's a custom theme and for various reasons I have to do this myself.

Topic Closed

This topic has been closed to new replies.

About this Topic